Itt a Fedora 29!

 ( trey | 2018. október 30., kedd - 15:26 )

Részletek a bejelentésben!

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Locsemege! SELinuxot visszakapcsolni! :P ;)

Nálam nem is volt kikapcsolva.
De miért? Kikapcsolt selinuxszal nem lehet frissíteni?

--
Tertilla; Tisztelem a botladozó embert és nem rokonszenvezem a tökéletessel! Hagyd már abba!; DropBox

Nem, csak locsemege szereti, hogy ha a fejlesztők rácsapnak a billentyűzetre, már a commit előtt az a verzió fusson a gépén és most beleszaladt valamibe a Fedora 29 prealpha-we're-just-glad-it-compiles verzióra frissítéskor, ami miatt le kellett kapcsolnia a SELinuxot :)

BlackY
--
"en is amikor bejovok dolgozni, nem egy pc-t [..] kapcsolok be, hanem a mainframe-et..." (sj)

Köszi. Ez nekem kimaradt. :)
--
Tertilla; Tisztelem a botladozó embert és nem rokonszenvezem a tökéletessel! Hagyd már abba!; DropBox

:)

Már visszakapcsoltam. Először fordul elő, hogy noha a desktop gépemen már hagyom, máshol nem frissítek, marad a Fedora 28.

Az egyik probléma, hogy megjelent benne a TLS 1.3. A Google Mail ehhez valami SNI támogatást igényel, de az meg nincs, szóval Gmail nem megy POP3/IMAP4-en. Bug jelezve, fejlesztők tovább hárították a kérdést, ott talán már egy embernek a gépén lett működő megoldás. Itt tart ez. Amúgy Claws Mail klienssel leveleznék.

Aztán van egy rakás renderelési problémám. Xfce-n Compizzal az értesítési területen el vannak csúszva néhány pixellel dolgok, amúgy a Conky is eléggé használhatatlan most. Van egy rakás selinuxos üzenet, a vnstatd el sem indul, talán SELinux miatt. Egyelőre nem jártam ezt körül.

Az a furcsa helyzet állt elő, hogy már release lett, miközben ugyanaz az érzésem, mintha alfa állapotban lenne, s persze up to date.


tr '[:lower:]' '[:upper:]' <<<locsemege
LOCSEMEGE

Ez a TLS 1.3 / gémél probléma honnan jön? Valami rendszerszintű hiányosság, tehát nem megy egyik levelezővel se, vagy csak a claws-mail nem működik? (Újra kellene raknom egy gépet, gondoltam megvárom vele az F29-et, de a gmail-POP3 duónak kellene mennie a viharmadárral.)

Thunderbirddel nem próbáltam. A dolog annyiban összetett, hogy a Gmail is kell ahhoz, hogy ez bug legyen. Azért, mert TLS 1.2-nél nem kér a Gmail SNI támogatást, ezzel szemben, ha a kliens TLS 1.3-at használ, akkor már megköveteli. Viszont egyelőre nincs, de várhatóan lesz.

Szerintem várj még vele, már csak azért is, mert ez a levelező alatti réteget, a titkosítást érinti. Illetve az IMAP4-et megvalósító libetpan-t. Releváns infó:

https://github.com/dinhviethoa/libetpan/issues/258


tr '[:lower:]' '[:upper:]' <<<locsemege
LOCSEMEGE

Köszi, így legalább már van mit keresni. A gének nyilván érdeke, hogy szívassa az IMAP/POP júzereket, a webes felületről sokkal több adatot össze lehet gereblyézni. A wiki :) azt írja, hogy a Thunderbird rendelkezik SNI támogatással, már csak az a kérdés, hogyan csinálja. Illetve jelenleg csak a POP3 érdekes. A saját gépemen azt hiszem frissítek a hétvégén, aztán megnézem, megy-e. Ha nem, ezzel én megleszek CentOS alól.

Claws Mail-re már van megoldás:

https://copr.fedorainfracloud.org/coprs/mschwendt/claws-mail-testing/

Szerintem Thunderbird megy, de ha esetleg libetpan-t használna, a fenti linkről a módosított verzió elérhető.


tr '[:lower:]' '[:upper:]' <<<locsemege
LOCSEMEGE

A hétvégén "bepróbáltam" a frissítést, érdekes módon már akkor is ment. A Claws-Mail valami furcsa módon aláírt tanúsítványt mutat, ettől mondjuk nem lettem nyugodt. :-D (De ismétlem: nálam egyelőre csak a POP3 az érdekes, IMAP-pal lehet mások a tapasztalatok.)

Eléggé béta szagú amúgy ez a verzió, tényleg. Remélem azért kiforrja magát. Az Xfce-vel is lett egy olyan anomália, hogy néha nem lehet a tálcára klikkelni, mintha nem működnének rajta a widgetek. Ebbe mondjuk közrejátszhat az is, hogy aktív az automatikus elrejtés, majd kipróbálom azt kikapcsolva is.

A Claws-Mail valami furcsa módon aláírt tanúsítványt mutat, ettől mondjuk nem lettem nyugodt.

Igen, ezt reportoltam, s született az általam linkelt működő megoldás, amely egyelőre nincs repóban, de akinek kell, az eléri a csomagokat.

Eléggé béta szagú amúgy ez a verzió

Nekem néha nem indul el a NetworkManager.service, fene tudja miért. Belépek terminálon, aztán elindítom ilyenkor. Ma meg azzal szórakoztatott, hogy egyáltalán nem indult el a grafikus felület, konzolon tudtam belépni. A futási szint pedig az 5-ös volt - graphical.target. Egy init 3 után kiadott init 5 megjavította.

Azért az felettébb furcsa, hogy egyes szolgáltatások vagy eleve el sem indulnak, vagy esnek-kelnek. A renderelési hibák továbbra is megvannak, pl. conky esetében. Workaround, hogy SIGHUP-ot küldök neki, újra felolvassa a konfig file-t, s egy darabig jó. Egyes ikonok úgy hiányoznak a desktopról, hogy a file megvan hozzá, hiszen ha választani szeretnék ikont, akkor ki tudja rajzolni, de hiába mondom neki, hogy kiválasztottam, OK, a desktopon már helyettesítő dokumentum ikon jelenik meg. Szóval olyan, hogy simán használom, ez az elsődleges gépem, de annyira fércmű most az oprendszer rajta, hogy szégyelleném, ha valaki látná. Amúgy az igazán fontos dolgok működnek, végre a levelezés is megy, böngészés, nyomtatás, p2p VoIP, audio alrendszer mind működnek, a routerem-hez is tudok a gépen image-et készíteni, virtualizáció is működik. Csak néha ezt-azt manuálisan kell böködni, hogy menjen. :((

Mindegy, a desktop gépemen meghagyom, de a notebookjaimon marad a Fedora 28. Az viszont hibátlan.


tr '[:lower:]' '[:upper:]' <<<locsemege
LOCSEMEGE

Kiadta gyorsan a csapat, amíg még lehet :D

Pont erre gondoltam én is.

--
robyboy

Kevesebb mint 20 perc alatt frissült. Lehet, hogy csak 15 perc volt.

--
Tertilla; Tisztelem a botladozó embert és nem rokonszenvezem a tökéletessel! Hagyd már abba!; DropBox

Na, kigyomláltam belőle egy csokorravaló selinuxos szabálytalanságot, már percek óta nem dob fel selinux alert-et. :) Végre megy a vnstat.service (vnstatd) is.

Hasznos a logok olvasgatása. Persze, még számtalan bajom van vele.


tr '[:lower:]' '[:upper:]' <<<locsemege
LOCSEMEGE

a dekstopon sikerult az upgrade, egy problemat talaltam eddig, a volumeicon ikonja szerint mute van, pedig nem. a ceges gepen meg varok egy kicsit szerintem az upgraddel.

Az szerintem nem bug lesz. A pulseaudio képes olyan csodára, hogy a volumeiconnal a master hangerőt állítod, miközben egészen más sink-re van kötve a fizikai audio kimeneted, erősítőd. A megoldás a pulseaudio-ban történő nyomozás és a helyes konfigurációs file megírása lesz szerintem.

Hogy mást ne mondjak, a gépemben van egy alaplapi hangkártya, egy PCI-os hangkártya, s jelenleg egy USB portba dugható, USB-s hangkártyaként viselkedő Panasonic erősítő DAC-ja az, amelynek a hangerejét a volumeiconnal állítani szeretném. Szerintem kezdd egy

pactl list short

illetve

pactl list

parancsokkal a problémával történő barátkozást. Az a gyanúm, ez magától sose fog meggyógyulni.


tr '[:lower:]' '[:upper:]' <<<locsemege
LOCSEMEGE

fura, mert amikor elinditom a volumeincon-t, akkor jo, es mutatja rendesen a hangero szintjet, mute utan unmute-ra nem tunik el a mute jelzes, hanem fele rajzolja a hangero szintet :)
https://imgur.com/4WBIPbP

Jaj, te vagy az én emberem! Akkor itt egészen másról van szó, minden működik, ha jól sejtem, ez egy renderelési probléma. Ilyen nálam is van, bosszant is nagyon. Xfce-n az értesítési területen amikor a qxkb nevű billentyű layout váltóval megváltoztatom a kiosztást, s ezzel a US és HU zászló között váltok, a zászló jobboldali néhány pixeloszlopa nem változik meg. Aztán használom az alltray nevű alkalmazást dokkolásra. A timeline ikonját kirajzolja szépen, de a seren ikonját - nincs neki, de egy telefonáló Linux-pingvint adtam meg - ráteszi a timeline ikonjára, s így teszi az értesítési területre. Tehát van egy timeline ikonom, meg egy timeline ikonra rajzolt telefonáló pingvinem egymás mellett.

További nyűgöm, hogy a conky is képes minden frissítési ciklusban egymás hegyére-hátára dobálni a betűket, amelytől olvashatatlan lesz az egész. Ezt nem kezdettől csinálja, hanem például onnantól, amikor az előbbi bug előjön, azaz elindítom a serent.

Úgy tűnik, ez valamelyik grafikus rétegben - VGA driver, Xorg, gtk2, gtk3 - inicializálási, vagy valami hasonló bug. Annak örülök, hogy nálad is előjött, talán lehet miatta nyafogni, s talán reprodukálható.

Eddig azért nem bugreportoltam, mert lövésem sincs, melyik rétegben, melyik csomagban van a hiba. Meg a hiányos nyelvtudásom miatt ilyen körmönfont dolgot biztosan nem tudnék érthetően megfogalmazni.


tr '[:lower:]' '[:upper:]' <<<locsemege
LOCSEMEGE

A Pulseaudio egy csoda.

--
robyboy

:))

Bár, mint kiderült, ez csupán egy renderelési probléma.


tr '[:lower:]' '[:upper:]' <<<locsemege
LOCSEMEGE